//
//  ViewController.swift
//  Desayuno
//
//  Created by Santiago Pavón Gómez on 19/9/16.
//  Copyright © 2016 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController, CoffeSelectorViewControllerDelegate {

    var myCoffe = ""
    var myCookie = ""
    
    @IBOutlet weak var coffeButton: UIButton!
    @IBOutlet weak var cookieButton: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        
        if segue.identifier == "Select Coffe" {
            
            let vc = segue.destination as! CoffeSelectorViewController
            
            vc.currentCoffe = myCoffe
            vc.delegate = self
            
        } else if segue.identifier == "Select Cookie" {
            
            let vc = segue.destination as! CookieSelectorViewController
            
            vc.currentCookie = myCookie
            
        }
    }
    
    // MARK: CoffeSelectorViewControllerDelegate
    
    func coffeSelectorViewControllerWasCancelled(_ csvc: CoffeSelectorViewController) {
        
        dismiss(animated: true , completion: nil)
    }
    
    
    func coffeSelectorViewController(_ csvc: CoffeSelectorViewController, preferred coffe: String) {
        
        myCoffe = coffe
        
        setTitle(myCoffe, toButton: coffeButton)
        
        dismiss(animated: true , completion: nil)
    }
    
    
    // MARK: Cookie selection - unwind
    
    @IBAction func cookieSelected(_ segue: UIStoryboardSegue) {
        
        let vc = segue.source as! CookieSelectorViewController
        
        myCookie = vc.currentCookie
        
        setTitle(myCookie, toButton: cookieButton)
    }
    
    
    // MARK: Utilidades
    
    fileprivate func setTitle(_ title: String, toButton button: UIButton) {
        
        var buttonTitle = "Elegir"
        
        if title != "" {
            buttonTitle = "I 😍 \(title)"
        }
        
        button.setTitle(buttonTitle, for: UIControlState())
    }

}

